<script lang="ts">
  import Point from "./icons/Point.svelte";

  export let user: Player | null;
  export let state: GameState;

  $: summary = state.phase.t === "RoundComplete" ? state.phase : null;
  $: ready = (user && summary?.ready.includes(user.id)) ?? false;

  function description(tricks: number) {
    if (tricks <= 3) {
      return "humble";
    } else if (tricks <= 6) {
      return "defeated";
    } else if (tricks <= 9) {
      return "victorious";
    } else {
      return "greedy";
    }
  }
</script>

<div class="wrapper">
  <div>
    <h2>Round is over</h2>
    {#each state.players as player}
      <div>
        <gs6-user playerid={player.id} />
        is {description(player.tricks)}.
        {#if summary !== null}
          <strong>
            + {summary.points[player.id]}
            <Point />
          </strong>
        {/if}
      </div>
    {/each}
  </div>

  {#if user !== null && !ready}
    <div class="button-wrapper">
      <button class="small primary" on:click>OK</button>
    </div>
  {/if}
</div>

<style>
  .wrapper {
    width: 24rem;
    display: grid;
    grid-template-columns: auto 5rem;
    align-items: end;
  }
  .button-wrapper {
    text-align: right;
  }

  button {
    align-self: flex-end;
    width: 4rem;
  }
</style>
